/*****
*
* This file is part of the OMS program.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 2, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; see the file COPYING.  If not, write to
* the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*
*****/

#include <stdio.h>
#include <stdarg.h>

#ifndef __LOG
#define __LOG

#define LOG_ERROR		0
#define LOG_WARNING		1
#define LOG_INFO		6
#define LOG_DEBUG		7
#define LOG_DEVEL		8

#ifdef DEBUG
#define LOG(lvl,args...)\
do {\
fprintf (stderr, "%d\t%s:%s#%d\t", lvl, __FILE__, __FUNCTION__, __LINE__);\
fprintf (stderr, args);\
fprintf (stderr, "\n");\
} while (0)
#else
#define LOG(lvl,args...)\
if (lvl != LOG_DEBUG) {\
fprintf (stderr, #lvl"\t%s:%s#%d\t", __FILE__, __FUNCTION__, __LINE__);\
fprintf (stderr, args);\
fprintf (stderr, "\n");\
}
#endif

#endif
